org.eclipse.emf.facet.widgets.celleditors

## Interface ICommandFactoriesRegistry

    public interface ICommandFactoriesRegistry

Registry for the "commandFactories" extension point. It is used to create EMF `Command`s compatible with a given `EditingDomain`.

For example, a `TransactionalEditingDomain` doesn't work with the usual EMF commands, and the model must be manipulated with `Command`s that use transactions.

Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static ICommandFactoriesRegistry` `INSTANCE` the singleton `ICommandFactoriesRegistry`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.List<ICommandFactory>` `getCommandFactories()`
`ICommandFactory` `getCommandFactoryFor(EditingDomain editingDomain)`

### Field Detail

#### INSTANCE

    static final ICommandFactoriesRegistry INSTANCE

the singleton `ICommandFactoriesRegistry`

### Method Detail

#### getCommandFactories

    java.util.List<ICommandFactory> getCommandFactories()

Returns:
  the list of registered command factories

#### getCommandFactoryFor

    ICommandFactory getCommandFactoryFor(EditingDomain editingDomain)

Returns:
  a command factory compatible with the given `EditingDomain`, or `null` if none is found